Intel® Quartus® Prime Software
Intel® Quartus® Prime Design Software, Design Entry, Synthesis, Simulation, Verification, Timing Analysis, System Design (Platform Designer, formerly Qsys)
16350 Discussions

How to change the device family in Quartus ii 15.0

Adithya
Beginner
623 Views

Hello,

 

Currently I'm trying to build the FPGA using Quartus 15.0.0 Build 145 and I got the below errors when compiled...

 

Error (12024): WYSIWYG primitive "pll1" is not compatible with the current device family
Error (12024): WYSIWYG primitive "pll1_phy" is not compatible with the current device family
Error (12024): WYSIWYG primitive "pll2" is not compatible with the current device family
Error (12024): WYSIWYG primitive "pll2_phy" is not compatible with the current device family
Error (12024): WYSIWYG primitive "pll3" is not compatible with the current device family
Error (12024): WYSIWYG primitive "pll4" is not compatible with the current device family
Error (12024): WYSIWYG primitive "pll6" is not compatible with the current device family
Error (12024): WYSIWYG primitive "pll6_phy" is not compatible with the current device family
Error (12024): WYSIWYG primitive "pll7" is not compatible with the current device family
Error (12152): Can't elaborate user hierarchy "nios2:u0|nios2_mem_if_ddr3_emif_0:mem_if_ddr3_emif_0|nios2_mem_if_ddr3_emif_0_pll0:pll0"
Info (144001): Generated suppressed messages file C:/projects/TR1-CNTL/CNTL_CALC/output_files/cntl_calc_top.map.smsg
Error: Quartus II 64-Bit Analysis & Synthesis was unsuccessful. 10 errors, 16 warnings
Error: Peak virtual memory: 5116 megabytes
Error: Processing ended: Wed Oct 05 16:13:36 2022
Error: Elapsed time: 00:00:41
Error: Total CPU time (on all processors): 00:01:09
Error (293001): Quartus II Full Compilation was unsuccessful. 12 errors, 16 warnings

 

So as per the above errors, it is clearly shows that it is not compatible with current device family, so I want to change the device from Arria ii to Altera Arria V. So please help me in getting the build to be finished.

 

Thanks,

0 Kudos
5 Replies
ak6dn
Valued Contributor III
609 Views

Under the main Quartus menu item 'Assignments' go down and select 'Devices' and then change the device family.

If Arria V is not an option, then you need to install the device support package for Arria V.

0 Kudos
ShengN_Intel
Employee
602 Views

Hi,


Any further update or concern?

Do you need any further help on this thread?


Best Regards,

Sheng

p/s: If any answer from the community or Intel Support are helpful, please feel free to give best answer or rate 4/5 survey.


0 Kudos
Adithya
Beginner
559 Views

Hello, 

 

Arria V is not available in the Device family list, can you send me the link from where to install the device support package for Arria V?

 

Thanks,

Adithya Kanike

0 Kudos
ak6dn
Valued Contributor III
555 Views

Well, if you absolutely need Quartus 15.0 that will be a problem.

Quartus versions earlier than 17.0 have been deprecated and are no longer freely available for download.

If you absolutely need 15.0 support you will have to deal with Intel directly via an NDA to possibly get access.

The path of least resistance is to download Quartus 17.0 Standard from here:

https://www.intel.com/content/www/us/en/software-kit/669514/intel-quartus-prime-standard-edition-design-software-version-17-0-for-windows.html

where Arria V support files are available.

0 Kudos
ShengN_Intel
Employee
521 Views

Hi,


Check this https://www.intel.com/content/www/us/en/support/programmable/support-resources/download/legacy-software-discontinued-notice.html for discontinued software request.


Thanks,

Best Regards,

Sheng


p/s: If any answer from the community or Intel Support are helpful, please feel free to give best answer or rate 4/5 survey.


0 Kudos
Reply